| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::QxHttpTransaction Class Reference
QxHttpServer : QxOrm library HTTP server (based on QxService module) : support SSL/TLS, persistent connection, deliver static files, REST API, etc...

qx::QxHttpTransaction : HTTP transaction (contains request from client and reply from server) More...

`#include <QxHttpTransaction.h>`

Inheritance diagram for qx::QxHttpTransaction:

List of all members.

## Public Member Functions
| QxHttpTransaction ()
virtual | ~QxHttpTransaction ()
qx::QxHttpRequest & | request ()
qx::QxHttpResponse & | response ()
qx_bool | writeChunked (const QByteArray &data)
virtual void | clear ()
virtual void | executeServer ()
virtual qx_bool | writeSocketServer (QTcpSocket &socket)
virtual qx_bool | readSocketServer (QTcpSocket &socket)
## Private Attributes
std::unique_ptr < QxHttpTransactionImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::QxHttpTransaction : HTTP transaction (contains request from client and reply from server)

Definition at line 68 of file QxHttpTransaction.h.

## Constructor & Destructor Documentation

qx::QxHttpTransaction::QxHttpTransaction | ( |  | ) |

virtual qx::QxHttpTransaction::~QxHttpTransaction | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void qx::QxHttpTransaction::clear | ( |  | ) | `[virtual]`

Reimplemented from qx::service::QxTransaction.

virtual void qx::QxHttpTransaction::executeServer | ( |  | ) | `[virtual]`

Reimplemented from qx::service::QxTransaction.

virtual qx_bool qx::QxHttpTransaction::readSocketServer | ( | QTcpSocket & | socket | ) | `[virtual]`

Reimplemented from qx::service::QxTransaction.

qx::QxHttpRequest& qx::QxHttpTransaction::request | ( |  | ) |

qx::QxHttpResponse& qx::QxHttpTransaction::response | ( |  | ) |

qx_bool qx::QxHttpTransaction::writeChunked | ( | const QByteArray & | data | ) |

virtual qx_bool qx::QxHttpTransaction::writeSocketServer | ( | QTcpSocket & | socket | ) | `[virtual]`

Reimplemented from qx::service::QxTransaction.

## Member Data Documentation

std::unique_ptr<QxHttpTransactionImpl> qx::QxHttpTransaction::m_pImpl`[private]`

Private implementation idiom.

Definition at line 75 of file QxHttpTransaction.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxHttpServer/QxHttpTransaction.h